#
# spec file for package frame
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libframe
%define sover   6
Name:           frame
Version:        2.5.0daily13.06.05
Release:        3.3
Summary:        Touch frame library
License:        LGPL-3.0 and GPL-3.0
Group:          System/GUI/Other
Url:            http://launchpad.net/frame
Source:         http://archive.ubuntu.com/ubuntu/pool/main/f/%{name}/%{name}_%{version}.orig.tar.gz
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(inputproto) >= 2.1.99.6
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi) >= 1.5.99.1
BuildRequires:  pkgconfig(xorg-server)
Provides:       %{name}-tools = %{version}
Obsoletes:      %{name}-tools < %{version}

%description
This package provides the tree that handles the buildup and
synchronisation of a set of simultaneous touches.

%package -n %{soname}%{sover}
Summary:        Touch frame library
Group:          System/Libraries

%description -n %{soname}%{sover}
This package provides the tree that handles the buildup and
synchronisation of a set of simultaneous touches.

%package devel
Summary:        Touch frame library development files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       %{soname}%{sover} = %{version}

%description devel
This package provides the tree that handles the buildup and
synchronisation of a set of simultaneous touches.

This package includes the development files for frame.

%prep
%setup -q

%build
autoreconf -fi
%configure \
  --disable-static       \
  --disable-silent-rules
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{soname}%{sover} -p /sbin/ldconfig

%postun -n %{soname}%{sover} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING* README
%{_bindir}/%{name}-test-x11
%{_mandir}/man?/%{name}-test-x11.?%{?ext_man}

%files -n %{soname}%{sover}
%defattr(-,root,root)
%doc COPYING* README
%{_libdir}/%{soname}.so.%{sover}*

%files devel
%defattr(-,root,root)
%{_includedir}/oif/
%{_libdir}/%{soname}.so
%{_libdir}/pkgconfig/%{name}*.pc

%changelog
* Tue Jul  5 2016 toddrme2178@gmail.com
- Fix Group tag.
* Sat Oct 10 2015 sor.alexei@meowr.ru
- Update to 2.5.0daily13.06.05.
- Spec cleanup.
* Mon Dec 22 2014 tchvatal@suse.com
- Update to 2.5.0:
  * various bugfixes, see changelog on launchpad for full log
- Remove tools subpkg as the tests require google framework we
  do not provide.
- Cleanup the spec file
* Sat Aug 11 2012 nmo.marques@gmail.com
- update to 2.2.4
- package name change from 'utouch-frame'; upstream changes
* Thu Aug  9 2012 nmo.marques@gmail.com
- minor updates
* Sun Aug  5 2012 nmo.marques@gmail.com
- pacote inicial
